/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.index;

/**
 * Classes implementing this interface use a {@link IMWEIndex}.
 *
 * @author M.A. Finlayson
 * @version $Id: IHasMWEIndex.java 616 2011-05-07 01:00:47Z markaf $
 * @since jMWE 1.0.0
 */
public interface IHasMWEIndex {
	
	/**
	 * Returns the index this object wraps.
	 * 
	 * @return the index this object wraps.
	 * @since jMWE 1.0.0
	 */
	public IMWEIndex getMWEIndex();

}
