/********************************************************************************
 * MIT Java MWE Library (jMWE) v1.0.1
 * Copyright (c) 2008-2011 Massachusetts Institute of Technology
 *
 * jMWE is distributed under the terms of the Creative Commons Attribution 3.0 
 * Unported License, which means it may be freely used for all purposes, as long 
 * as proper acknowledgment is made.  
 *******************************************************************************/

package edu.mit.jmwe.detect;

/**
 * An interface for MWE detectors that resolve conflicts between identified MWEs
 * from other detectors.
 * 
 * @author M.A. Finlayson
 * @version $Id: IMWEDetectorResolver.java 591 2011-05-05 23:07:33Z markaf $
 * @since jMWE 1.0.0
 */
public interface IMWEDetectorResolver extends IMWEDetector, IHasMWEDetector {

}
